LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
DataPilotFieldGroupEnumeration Service Reference

represents an enumeration of members in a DataPilot field group. More...

`import"DataPilotFieldGroupEnumeration.idl";`

Inheritance diagram for DataPilotFieldGroupEnumeration:

## Exported Interfaces
interface | com::sun::star::container::XEnumeration
| provides methods to access the group members in the enumeration. More...

## Additional Inherited Members
Public Member Functions inherited from XEnumeration
boolean | hasMoreElements ()
| tests whether this enumeration contains more elements. More...
any | nextElement () raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents an enumeration of members in a DataPilot field group.

See also
  DataPilotFieldGroupItem
  DataPilotFieldGroup

## Exported Interfaces

## ◆ com::sun::star::container::XEnumeration

interface com::sun::star::container::XEnumeration

provides methods to access the group members in the enumeration.

The elements of the enumeration are instances of DataPilotFieldGroupItem.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotFieldGroupEnumeration.idl